Package ru.bitel.bgbilling.kernel.admin.webmenu.server.bean

# Enum WebContractSearchParamType

java.lang.Object
java.lang.Enum<WebContractSearchParamType>
ru.bitel.bgbilling.kernel.admin.webmenu.server.bean.WebContractSearchParamType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WebContractSearchParamType>`, `java.lang.constant.Constable`

    public enum WebContractSearchParamType
    extends java.lang.Enum<WebContractSearchParamType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `BOOLEAN` |
  `DECIMAL` |
  `INTEGER` |
  `STRING` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WebContractSearchParamType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WebContractSearchParamType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOOLEAN

    public static final WebContractSearchParamType BOOLEAN

  - ### STRING

    public static final WebContractSearchParamType STRING

  - ### INTEGER

    public static final WebContractSearchParamType INTEGER

  - ### DECIMAL

    public static final WebContractSearchParamType DECIMAL

- ## Method Details

  - ### values

    public static WebContractSearchParamType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WebContractSearchParamType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null